# RPM specfile for evo-openldap module
# Generated Mon Aug 27 17:20:47 2001 GMT by Ximian build system
# $Id: bb_do,v 1.127 2001/08/15 19:50:38 mike Exp $
# from $Id: ximian-build.conf,v 1.3 2001/08/24 17:45:21 frb Exp $

%define nam	evo-openldap
%define ver	2.0.11

Name:     	evo-openldap
Version: 	2.0.11
Release:	ximian.7
Vendor:		Ximian, Inc.
Distribution:	Ximian GNOME for SuSE Linux 7.2 / i386
Copyright:	OpenLDAP
BuildRoot:	/var/tmp/%{nam}-%{ver}-root
Docdir:         /usr/doc
URL:		http://www.openldap.org/
Source0:	openldap-2.0.11.tgz
Patch0:		openldap-enable-config-cache.patch
Summary:	OpenLDAP package for use by evolution.
Group:		Development/Libraries

%description
Contains the static libraries used to build the evolution packages.

%files
%defattr(-, root, root)
/opt/evo-openldap/lib/*a
/opt/evo-openldap/include/*


# $RPM_COMMAND is an environment variable used by the Ximian build
# system to control the build process with finer granularity than RPM
# normally allows.  This specfile will function as expected by RPM if
# $RPM_COMMAND is unset.  If you are not the Ximian build system,
# feel free to ignore it.

%prep
case "${RPM_COMMAND:-all}" in
dist)
%setup  -q -D -n openldap-2.0.11
    ;;
all)
%setup  -q -n openldap-2.0.11
    ;;
esac
case "${RPM_COMMAND:-all}" in
dist|all)
%patch -p1 -P 0
    ;;
esac

%build
MAKE=${MAKE:-make}
RPM_COMMAND=${RPM_COMMAND:-all}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
export MAKE RPM_COMMAND DESTDIR
case "$RPM_COMMAND" in
prepare|all)
    autoconf; ./configure --prefix=/opt/evo-openldap --disable-slapd --disable-slurpd --disable-shared --without-threads --with-kerberos=no --without-tls --without-cyrus-sasl
    ;;
esac
case "$RPM_COMMAND" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
case "$RPM_COMMAND" in
build|all)
    ${MAKE}
    ;;
esac

%install
MAKE=${MAKE:-make}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
# export DESTDIR
case "${RPM_COMMAND:-all}" in
install|all)
    ${MAKE} install DESTDIR=${DESTDIR}
    ;;
esac

%clean
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
export DESTDIR
case "${RPM_COMMAND:-all}" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
